<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zongzhi.mapper.TcWpyrwwclMapper">
    
    <resultMap type="TcWpyrwwcl" id="TcWpyrwwclResult">
        <result property="id"    column="id"    />
        <result property="areaId"    column="area_id"    />
        <result property="finish"    column="finish"    />
        <result property="isStatus"    column="is_status"    />
    </resultMap>

    <sql id="selectTcWpyrwwclVo">
        select id, area_id, is_status,finish from tc_wpyrwwcl
    </sql>

    <select id="selectTcWpyrwwclList" parameterType="TcWpyrwwcl" resultMap="TcWpyrwwclResult">
        <include refid="selectTcWpyrwwclVo"/>
        <where>  
            <if test="areaId != null "> and area_id = #{areaId}</if>
            <if test="finish != null "> and finish = #{finish}</if>
            <if test="isStatus != null "> and is_status = #{isStatus}</if>
        </where>
    </select>
    
    <select id="selectTcWpyrwwclById" parameterType="Long" resultMap="TcWpyrwwclResult">
        <include refid="selectTcWpyrwwclVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTcWpyrwwcl" parameterType="TcWpyrwwcl" useGeneratedKeys="true" keyProperty="id">
        insert into tc_wpyrwwcl
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="areaId != null">area_id,</if>
            <if test="finish != null">finish,</if>
            <if test="isStatus != null">is_status,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="areaId != null">#{areaId},</if>
            <if test="finish != null">#{finish},</if>
            <if test="isStatus != null">#{isStatus},</if>
         </trim>
    </insert>

    <update id="updateTcWpyrwwcl" parameterType="TcWpyrwwcl">
        update tc_wpyrwwcl
        <trim prefix="SET" suffixOverrides=",">
            <if test="areaId != null">area_id = #{areaId},</if>
            <if test="finish != null">finish = #{finish},</if>
            <if test="isStatus != null">is_status=#{isStatus},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteTcWpyrwwclById" parameterType="Long">
        delete from tc_wpyrwwcl where id = #{id}
    </delete>

    <delete id="deleteTcWpyrwwclByIds" parameterType="String">
        delete from tc_wpyrwwcl where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>